import l from "../../../@babel/runtime/helpers/esm/classCallCheck.mjs";
import o from "../../../@babel/runtime/helpers/esm/createClass.mjs";
import r from "../../../@babel/runtime/helpers/esm/defineProperty.mjs";
var c = "%", v = /* @__PURE__ */ function() {
  function e(t) {
    l(this, e), r(this, "instanceId", void 0), r(this, "cache", /* @__PURE__ */ new Map()), this.instanceId = t;
  }
  return o(e, [{
    key: "get",
    value: function(a) {
      return this.cache.get(a.join(c)) || null;
    }
  }, {
    key: "update",
    value: function(a, s) {
      var i = a.join(c), h = this.cache.get(i), n = s(h);
      n === null ? this.cache.delete(i) : this.cache.set(i, n);
    }
  }]), e;
}();
export {
  v as default
};
